/* Custom mixins */
clx-content-consent {
  display: block;
}
.content-consent {
  position: relative;
}
.content-consent a {
  font-size: inherit;
}
.content-consent__overlay {
  min-height: 100%;
  border: 1px solid rgba(0, 0, 0, 0.05);
  box-shadow: 0 0.25rem 1rem rgba(0, 0, 0, 0.15);
  display: flex;
  align-items: center;
  justify-content: center;
}
.theme-dark .content-consent__overlay,
.theme-gray .content-consent__overlay {
  background: rgba(0, 0, 0, 0.7);
}
.content-consent__banner {
  padding: 3rem;
  max-width: 640px;
  max-height: 100%;
  overflow-y: auto;
  position: relative;
}
.content-consent__intro {
  margin-bottom: 2rem;
}
.content-consent__button-block {
  margin-bottom: 2rem;
}
.content-consent__background-image {
  position: absolute;
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@media only screen and (min-width: 768px) {
  .content-consent__background-image {
    display: block;
  }
  .content-consent--with-img .content-consent__banner {
    margin: 3rem;
    background: rgba(255, 255, 255, 0.9);
  }
  .theme-dark .content-consent--with-img .content-consent__banner,
  .theme-gray .content-consent--with-img .content-consent__banner {
    background: rgba(0, 0, 0, 0.7);
  }
}
